Bug 3114 - Fix xkbcomp errors when XKB is activated
Summary: Fix xkbcomp errors when XKB is activated
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.1.0
Assignee: Pierre Ossman
URL:
Keywords: astrand_tester
Depends on:
Blocks: 3523
  Show dependency treegraph
 
Reported: 2009-04-29 14:17 CEST by Peter Åstrand
Modified: 2013-05-20 15:36 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2009-04-29 14:17:59 CEST
This bug is moved from comment #45 on bug 2048. Although full XKB support is handled on bug 3074, it is occasionally useful to activate XKB with our current Xvnc. This can be done by adding +kb to xserver_args. From bug 2048:

The plan for 3.0.0 is that we should have XKB disabled, but still ship the XKB
support files, so that it can be turned on. However, currently, we are shipping
a symlink:

/opt/thinlinc/share/X11/xkb/xkbcomp -> /usr/bin/xkbcomp

I believe this is wrong; the link should be pointing to
/opt/thinlinc/bin/xkbcomp, if it should exist at all. 

Additionally, I'll get an error message:

The XKEYBOARD keymap compiler (xkbcomp) reports:
> Error:            Cannot open "/opt/thinlinc/share/X11/xkb/compiled/server-2.xkm" to write keyboard description
>                   Exiting
(EE) Error compiling keymap (server-2)
(EE) XKB: Couldn't compile keymap

Need to solve this, hopefully cleaner than creating that directory
world-writable.
Comment 1 Peter Åstrand cendio 2012-06-07 09:03:02 CEST
I'm not seeing the xkbcomp errors on RHEL6, but the symlink should perhaps still be changed. Or, we should stop shipping xkbcomp.
Comment 2 Pierre Ossman cendio 2013-04-15 16:24:09 CEST
This got fixed as part of bug 3074. The symlink is no longer present (or needed) in newer version of xkeyboard-config. And there is no tempfile being produced anymore.
Comment 3 Peter Åstrand cendio 2013-05-20 15:36:08 CEST
No warnings, no symlink found. xkbcomp binary works.

Note You need to log in before you can comment on or make changes to this bug.